Salambo
Browse documentation
Environment

Create or update an environment variable

Stores a non-secret value or encrypted secret with an explicit exposure boundary. Requires env_vars:write.

PUT/agents/{agentId}/env-vars/{name}

Authorization

AuthorizationBearer <token>

Path parameters

agentIdstringrequired
format
"uuid"
namestringrequired
pattern
"^[A-Z][A-Z0-9_]*$"

Bodyrequired

application/json
object
valuestringrequired
minLength
1
isSecretboolean
default
false
descriptionstring | null
maxLength
500
allowedHostsarray
Show nested schema
Array items
string
exposeToarray

Defaults to both exposure targets when omitted. Send the narrowest explicit target set required by the integration.

minItems
1
default
["runtime","sandbox"]
Show nested schema
Array items
string
enum
["runtime","sandbox"]

Response

application/json

Environment-variable metadata

object
idstring
format
"uuid"
objectstringrequired
const
"env_var"
namestringrequired
is_secretbooleanrequired
plain_valuestring | null
descriptionstring | null
allowed_hostsarrayrequired
Show nested schema
Array items
string
expose_toarrayrequired
Show nested schema
Array items
string
enum
["runtime","sandbox"]
created_atinteger
updated_atinteger